CREATE TABLE cst_internal_txn_types_tl (
    BASE_TXN_TYPE_ID           NUMBER(18, 0) ,
    BASE_TXN_SOURCE_TYPE_ID    NUMBER(18, 0) ,
    LANGUAGE                   VARCHAR2(16)  ,
    SOURCE_LANG                VARCHAR2(16)      NOT NULL,
    BASE_TXN_TYPE_NAME         VARCHAR2(320)     NOT NULL,
    DESCRIPTION                VARCHAR2(960) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    BASE_TXN_TYPE_ID           NUMBER(18, 0) ,
    BASE_TXN_SOURCE_TYPE_ID    NUMBER(18, 0) ,
    LANGUAGE                   VARCHAR2(16)  ,
    SOURCE_LANG                VARCHAR2(16)      NOT NULL,
    BASE_TXN_TYPE_NAME         VARCHAR2(320)     NOT NULL,
    DESCRIPTION                VARCHAR2(960) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cst_internal_txn_types_tl PRIMARY KEY (BASE_TXN_TYPE_ID, BASE_TXN_SOURCE_TYPE_ID, LANGUAGE, BASE_TXN_TYPE_ID, BASE_TXN_SOURCE_TYPE_ID, LANGUAGE)
);
